Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.role
Interface RoleSet

All Known Implementing Classes:
  RoleSetImpl

    public interface RoleSet

A representation of the model object 'Set'.

The following features are supported:

- `Extended Package`
- `Roles`

See Also:
  `RolePackage.getRoleSet()`

Method Summary
`EPackage` | `getExtendedPackage()` Returns the value of the 'Extended Package' reference.
`Role` | `getRole(java.lang.String name)`
`` | `getRoles()` Returns the value of the 'Roles' reference list.
`boolean` | `isSetRoles()` Returns whether the value of the '`Roles`' reference list is set.
`void` | `setExtendedPackage(EPackage value)` Sets the value of the '`Extended Package`' reference.
`void` | `unsetRoles()` Unsets the value of the '`Roles`' reference list.

Method Detail

### getExtendedPackage

    EPackage getExtendedPackage()

  Returns the value of the 'Extended Package' reference.

  If the meaning of the 'Extended Package' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extended Package' reference.
  See Also:
    `setExtendedPackage(EPackage)`, `RolePackage.getRoleSet_ExtendedPackage()`

### setExtendedPackage

    void setExtendedPackage(EPackage value)

  Sets the value of the '`Extended Package`' reference.

  Parameters:
    `value` - the new value of the 'Extended Package' reference.
  See Also:
    `getExtendedPackage()`

### getRoles

     getRoles()

  Returns the value of the 'Roles' reference list. The list contents are of type `Role`.

  If the meaning of the 'Roles' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Roles' reference list.
  See Also:
    `isSetRoles()`, `unsetRoles()`, `RolePackage.getRoleSet_Roles()`

### unsetRoles

    void unsetRoles()

  Unsets the value of the '`Roles`' reference list.

  See Also:
    `isSetRoles()`, `getRoles()`

### isSetRoles

    boolean isSetRoles()

  Returns whether the value of the '`Roles`' reference list is set.

  Returns:
    whether the value of the 'Roles' reference list is set.
  See Also:
    `unsetRoles()`, `getRoles()`

### getRole

    Role getRole(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD